Get business portfolio

​

Returns portfolio distribution, rates, earnings, and positions for the specified business.

Path Parameters

  • Unique identifier for the business.

Responses

  • application/json
Request Example for get/businesses/{business_id}/portfolio
curl 'https://api.treasurefinancial.com/v1/businesses/{business_id}/portfolio'
{
  "total_unallocated": {
    "currency": "USD",
    "amount": "150000.00"
  },
  "total_value": {
    "currency": "USD",
    "amount": "150000.00"
  },
  "total_return": {
    "currency": "USD",
    "amount": "150000.00"
  },
  "products": [
    {
      "product": "managed_treasuries",
      "current_allocation": {
        "percentage": 12.34,
        "value": {
          "currency": "USD",
          "amount": "150000.00"
        }
      },
      "target_allocation": {
        "percentage": 12.34,
        "value": {
          "currency": "USD",
          "amount": "150000.00"
        }
      },
      "return": {
        "currency": "USD",
        "amount": "150000.00"
      }
    }
  ]
}